curl --request GET \
--url https://api.unibee.dev/merchant/discount/batch/children/detail \
--header 'Authorization: Bearer <token>'{
"code": 123,
"data": {
"child": {
"advance": true,
"billingType": 123,
"childCodeCount": 123,
"code": "<string>",
"codePrefix": "<string>",
"createTime": 123,
"currency": "<string>",
"cycleLimit": 123,
"discountAmount": 123,
"discountPercentage": 123,
"discountType": 123,
"endTime": 123,
"id": 123,
"invoiceId": "<string>",
"isDeleted": 123,
"isRedeemed": true,
"merchantId": 123,
"metadata": {},
"name": "<string>",
"parentTemplateCode": "<string>",
"paymentId": "<string>",
"planApplyGroup": {
"currency": [
"<string>"
],
"groupPlanIntervalSelector": [
{
"intervalCount": 123,
"intervalUnit": "<string>"
}
],
"type": [
123
]
},
"planApplyType": 123,
"planId": 123,
"planIds": [
123
],
"planName": "<string>",
"quantity": 123,
"redeemedAt": 123,
"redeemedByEmail": "<string>",
"startTime": 123,
"status": 123,
"subscriptionId": "<string>",
"type": 123,
"upgradeLongerOnly": true,
"upgradeOnly": true,
"usedChildCodeCount": 123,
"userLimit": 123,
"userScope": 123
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}Get detail of a specific batch child code
curl --request GET \
--url https://api.unibee.dev/merchant/discount/batch/children/detail \
--header 'Authorization: Bearer <token>'{
"code": 123,
"data": {
"child": {
"advance": true,
"billingType": 123,
"childCodeCount": 123,
"code": "<string>",
"codePrefix": "<string>",
"createTime": 123,
"currency": "<string>",
"cycleLimit": 123,
"discountAmount": 123,
"discountPercentage": 123,
"discountType": 123,
"endTime": 123,
"id": 123,
"invoiceId": "<string>",
"isDeleted": 123,
"isRedeemed": true,
"merchantId": 123,
"metadata": {},
"name": "<string>",
"parentTemplateCode": "<string>",
"paymentId": "<string>",
"planApplyGroup": {
"currency": [
"<string>"
],
"groupPlanIntervalSelector": [
{
"intervalCount": 123,
"intervalUnit": "<string>"
}
],
"type": [
123
]
},
"planApplyType": 123,
"planId": 123,
"planIds": [
123
],
"planName": "<string>",
"quantity": 123,
"redeemedAt": 123,
"redeemedByEmail": "<string>",
"startTime": 123,
"status": 123,
"subscriptionId": "<string>",
"type": 123,
"upgradeLongerOnly": true,
"upgradeOnly": true,
"usedChildCodeCount": 123,
"userLimit": 123,
"userScope": 123
}
},
"merchantId": 123,
"message": "<string>",
"redirect": "<string>",
"requestId": "<string>"
}https://api.unibee.dev/merchant/discount/batch/children/detail
Get detail of a specific batch child code
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | The child code’s Id |
curl -X GET "https://api.unibee.dev/merchant/discount/batch/children/detail" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"
curl -X GET "https://api-sandbox.unibee.top/merchant/discount/batch/children/detail" \
-H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
-H "Content-Type: application/json"
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.child | object | |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The child code's Id